Package org.jboss.modules

# Class ModularAgent

java.lang.Object
org.jboss.modules.ModularAgent

public final class ModularAgent extends Object
The modular agent entry point.

## Constructor Summary

Constructors
Constructor
Description
`ModularAgent()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`agentmain(String agentArgs, Instrumentation instrumentation)`
`static void`
`premain(String agentArgs, Instrumentation instrumentation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ModularAgent

public ModularAgent()

## Method Details

### premain

public static void premain(String agentArgs, Instrumentation instrumentation)

### agentmain

public static void agentmain(String agentArgs, Instrumentation instrumentation)